# Glib::Container_Helpers::TypeTraits< T > Struct Template Reference
[Helper classes]

Generic TypeTraits implementation. More...

List of all members.

## Public Types

typedef T | CppType
typedef T | CType
typedef T | CTypeNonConst

## Static Public Member Functions

static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (const CType&)

## Detailed Description

### template <class T>
struct Glib::Container_Helpers::TypeTraits< T >

Generic TypeTraits implementation.

This can be used if the C++ type is the same as the C type, or if implicit conversions between the types are available. Also, the types are required to implement copy-by-value semantics. (Ownership is just ignored.)

## Member Typedef Documentation

template <class T >

typedef T Glib::Container_Helpers::TypeTraits< T >::CppType

template <class T >

typedef T Glib::Container_Helpers::TypeTraits< T >::CType

template <class T >

typedef T Glib::Container_Helpers::TypeTraits< T >::CTypeNonConst

## Member Function Documentation

template <class T >

static void Glib::Container_Helpers::TypeTraits< T >::release_c_type | ( | const CType& |  | ) | `[inline, static]`

template <class T >

static CType Glib::Container_Helpers::TypeTraits< T >::to_c_type | ( | const CppType& | item | ) | `[inline, static]`

template <class T >

static CppType Glib::Container_Helpers::TypeTraits< T >::to_cpp_type | ( | const CType& | item | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- glibmm/containerhandle_shared.h